Skip to main content
GET
Get enrichment source by token

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

enrichment_source_token
string
required

Response

EnrichmentSource model

token
string
required

The token for the EnrichmentSource.

type
enum<string>
required

The enrichment source type.

Available options:
custom_llm_enrichment_source,
cloudflare_ai_gateway_enrichment_source,
lite_llm_enrichment_source,
aws_bedrock_enrichment_source
Example:

"custom_llm_enrichment_source"

title
string
required

The display name for the enrichment source type.

Example:

"Custom LLM Enrichment"

integration_token
string
required

The token for the Integration that owns this EnrichmentSource.

active
boolean
required

Whether the EnrichmentSource is active.

created_at
string
required

The date and time, in UTC, the EnrichmentSource was created. ISO 8601 Formatted.

Example:

"2026-08-04T00:00:00Z"